apiVersion: apps/v1
kind: Deployment
metadata:
  name: employee-app
spec:
  replicas: 2
  selector:
    matchLabels:
      app: employee-app
  template:
    metadata:
      labels:
        app: employee-app
    spec:
      containers:
      - name: employee-app
        image: bunthai/service-employee:latest
        resources:
          limits:
            memory: "500Mi"
            cpu: "500m"
        env:
        - name: SPRING_DATASOURCE_URL
          value: "jdbc:postgresql://postgresql:5432/postgres"
        ports:
        - containerPort: 8080